.chat-screen .custom-file-input:focus ~ .custom-file-label {
  border: 1px solid #ced4da;
  box-shadow: none;
}
.chat-screen .custom-file-input:focus ~ .custom-file-label::after {
  border: none;
  border-left: 1px solid #ced4da;
}
.chat-screen .lead a.btn.btn-primary.btn-lg {
  margin-top: 15px;
  border-radius: 4px;
}
.chat-screen .jumbotron {
  background-color: #f1f2f3;
}
.chat-screen .mark,
.chat-screen mark {
  background-color: #ffeccb;
}

.chat-screen .code-section-container {
  margin-top: 20px;
  text-align: left;
}
.toggle-code-snippet {
  border: none;
  background-color: transparent !important;
  padding: 0px !important;
  box-shadow: none !important;
  color: #888ea8 !important;
  margin-bottom: -24px;
  border-bottom: 1px dashed #bfc9d4;
  border-radius: 0;
}
.toggle-code-snippet svg {
  color: #1b55e2;
}
.chat-screen .code-section {
  padding: 0;
  height: 0;
}
.chat-screen .code-section-container.show-code .code-section {
  margin-top: 20px;
  height: auto;
}
.chat-screen .code-section pre {
  margin-bottom: 0;
  height: 0;
  padding: 0;
  border-radius: 6px;
}
.chat-screen .code-section-container.show-code .code-section pre {
  height: auto;
  padding: 22px;
}
.chat-screen .code-section code {
  color: #fff;
}

/*blockquote*/
.chat-screen blockquote.blockquote {
  color: #0e1726;
  padding: 20px 20px 20px 14px;
  font-size: 0.875rem;

  border-bottom-right-radius: 8px;
  border-top-right-radius: 8px;
  border: 1px solid #e0e6ed;
  border-left: 2px solid #1b55e2;
  -webkit-box-shadow: 0 4px 6px 0 rgba(85, 85, 85, 0.08),
    0 1px 20px 0 rgba(0, 0, 0, 0.07), 0px 1px 11px 0px rgba(0, 0, 0, 0.07);
  -moz-box-shadow: 0 4px 6px 0 rgba(85, 85, 85, 0.08),
    0 1px 20px 0 rgba(0, 0, 0, 0.07), 0px 1px 11px 0px rgba(0, 0, 0, 0.07);
  box-shadow: 0 4px 6px 0 rgba(85, 85, 85, 0.08),
    0 1px 20px 0 rgba(0, 0, 0, 0.07), 0px 1px 11px 0px rgba(0, 0, 0, 0.07);
}
.chat-screen blockquote.blockquote > p {
  margin-bottom: 0;
}
.chat-screen blockquote .small:before,
.chat-screen blockquote footer:before,
.chat-screen blockquote small:before {
  content: "\2014 \00A0";
}
.chat-screen blockquote .small,
.chat-screen blockquote footer,
.chat-screen blockquote small {
  display: block;
  font-size: 80%;
  line-height: 1.42857143;
  color: #777;
}
.chat-screen blockquote.media-object.m-o-border-right {
  border-right: 4px solid #1b55e2;
  border-left: none;
}
.chat-screen blockquote.media-object .media .usr-img img {
  width: 55px;
}
/* Icon List */

.list-icon {
  list-style: none;
  padding: 0;
  margin-bottom: 0;
}
.list-icon li:not(:last-child) {
  margin-bottom: 15px;
}
.list-icon svg {
  width: 18px;
  height: 18px;
  color: #1b55e2;
  margin-right: 2px;
  vertical-align: sub;
}
.list-icon .list-text {
  font-size: 14px;
  font-weight: 600;
  color: #515365;
  letter-spacing: 1px;
}

.chat-screen a {
  color: white;
  outline: none;
  display: block;
  width: 100%;
  word-break: break-all;
}
.chat-screen a:hover {
  color: #555555;
  text-decoration: none;
}
.chat-screen a:focus {
  outline: none;
  text-decoration: none;
}
.chat-screen button:focus,
textarea,
textarea:focus {
  outline: none;
}
.chat-screen .btn-link:hover {
  text-decoration: none;
}
.chat-screen span.blue {
  color: #1b55e2;
}
.chat-screen span.green {
  color: #8dbf42;
}
.chat-screen span.red {
  color: #e7515a;
}

/*      Form Group Label       */

.chat-screen .form-group label,
label {
  font-size: 14px;
  letter-spacing: 1px;
  line-height: 24px;
}

/*  Disable forms     */

.chat-screen .custom-control-input:disabled ~ .custom-control-label {
  color: #d3d3d3;
}

/*      Form Control       */

.chat-screen .form-control {
  height: auto;
  border: 1px solid #bfc9d4;
  color: #3b3f5c;
  font-size: 15px;
  letter-spacing: 1px;
  /*height: calc(1.4em + 1.4rem + 2px);*/
  padding: 0.35rem 1.25rem;
  border-radius: 6px;
}
.chat-screen .form-control:focus {
  box-shadow: 0 0 5px 2px rgba(194, 213, 255, 0.6196078431372549);
  border-color: #1b55e2;
  color: #3b3f5c;
}
.chat-screen .form-control::-webkit-input-placeholder {
  color: #acb0c3;
  font-size: 15px;
}
.chat-screen .form-control::-ms-input-placeholder {
  color: #acb0c3;
  font-size: 15px;
}
.chat-screen .form-control::-moz-placeholder {
  color: #acb0c3;
  font-size: 15px;
}
.chat-screen .form-control:focus::-webkit-input-placeholder {
  color: #d3d3d3;
  font-size: 15px;
}
.chat-screen .form-control:focus::-ms-input-placeholder {
  color: #d3d3d3;
  font-size: 15px;
}
.chat-screen .form-control:focus::-moz-placeholder {
  color: #d3d3d3;
  font-size: 15px;
}
.chat-screen .form-control.form-control-lg {
  font-size: 19px;
  padding: 11px 20px;
}
.chat-screen .form-control.form-control-sm {
  padding: 7px 16px;
  font-size: 13px;
}

/*      Custom Select       */

.chat-screen .custom-select {
  height: auto;
  border: 1px solid #f1f2f3;
  color: #3b3f5c;
  font-size: 15px;
  padding: 8px 10px;
  letter-spacing: 1px;
  background-color: #f1f2f3;
}
.chat-screen .custom-select.custom-select-lg {
  font-size: 18px;
  padding: 16px 20px;
}
.chat-screen .custom-select.custom-select-sm {
  font-size: 13px;
  padding: 7px 16px;
}
.chat-screen .custom-select:focus {
  box-shadow: none;
  border-color: #1b55e2;
  color: #3b3f5c;
}

/*      Form Control File       */

.chat-screen .form-control-file {
  width: 100%;
  color: #5c1ac3;
}
.chat-screen .form-control-file::-webkit-file-upload-button {
  letter-spacing: 1px;
  padding: 9px 20px;
  text-shadow: none;
  font-size: 12px;
  color: #fff;
  font-weight: normal;
  white-space: normal;
  word-wrap: break-word;
  transition: 0.2s ease-out;
  touch-action: manipulation;
  cursor: pointer;
  background-color: #5c1ac3;
  box-shadow: 0px 0px 15px 1px rgba(113, 106, 202, 0.2);
  will-change: opacity, transform;
  transition: all 0.3s ease-out;
  -webkit-transition: all 0.3s ease-out;
  border-radius: 4px;
  border: transparent;
  outline: none;
}
.chat-screen .form-control-file::-ms-file-upload-button {
  letter-spacing: 1px;
  padding: 9px 20px;
  text-shadow: none;
  font-size: 14px;
  color: #fff;
  font-weight: normal;
  white-space: normal;
  word-wrap: break-word;
  transition: 0.2s ease-out;
  touch-action: manipulation;
  cursor: pointer;
  background-color: #5c1ac3;
  box-shadow: 0px 0px 15px 1px rgba(113, 106, 202, 0.2);
  will-change: opacity, transform;
  transition: all 0.3s ease-out;
  -webkit-transition: all 0.3s ease-out;
  border-radius: 4px;
  border: transparent;
  outline: none;
}
.chat-screen
  .form-control-file.form-control-file-rounded::-webkit-file-upload-button {
  -webkit-border-radius: 1.875rem !important;
  -moz-border-radius: 1.875rem !important;
  -ms-border-radius: 1.875rem !important;
  -o-border-radius: 1.875rem !important;
  border-radius: 1.875rem !important;
}

.chat-screen select.form-control.form-custom {
  display: inline-block;
  width: 100%;
  height: calc(2.25rem + 2px);
  vertical-align: middle;
  background: #fff url(../img/arrow-down.png) no-repeat right 0.75rem center;
  background-size: 13px 14px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

/*      Form Control Custom File       */

.chat-screen .custom-file {
  height: auto;
}
.chat-screen .custom-file input {
  height: auto;
}
.chat-screen .custom-file-label {
  height: auto;
  border: 1px solid #f1f2f3;
  color: #3b3f5c;
  font-size: 15px;
  padding: 8px 10px;
  letter-spacing: 1px;
  background-color: #f1f2f3;
}
.chat-screen .custom-file-label::after {
  height: auto;
  padding: 8px 12px;
  color: #515365;
}

/*      Input Group      */

.chat-screen .input-group button:hover,
.chat-screen .input-group .btn:hover,
.chat-screen .input-group button:focus,
.chat-screen .input-group .btn:focus {
  transform: none;
}

/*      Input Group append       */

.chat-screen .input-group .input-group-prepend .input-group-text {
  border: 1px solid #bfc9d4;
  background-color: #f1f2f3;
}
.chat-screen .input-group .input-group-prepend .input-group-text svg {
  color: #888ea8;
}
.chat-screen .input-group:hover .input-group-prepend .input-group-text svg {
  color: #1b55e2;
  fill: rgba(27, 85, 226, 0.23921568627450981);
}

/*      Input Group Append       */
.chat-screen .input-group .input-group-append .input-group-text {
  border: 1px solid #bfc9d4;
  background-color: #f1f2f3;
}
.chat-screen .input-group .input-group-append .input-group-text svg {
  color: #888ea8;
}
.chat-screen .input-group:hover .input-group-append .input-group-text svg {
  color: #1b55e2;
  fill: rgba(27, 85, 226, 0.23921568627450981);
}

/*      Validation Customization      */

.chat-screen .invalid-feedback {
  color: #e7515a;
  font-size: 13px;
  font-weight: 700;
  letter-spacing: 1px;
}
.chat-screen .valid-feedback {
  color: #8dbf42;
  font-size: 13px;
  font-weight: 700;
  letter-spacing: 1px;
}
.chat-screen .valid-tooltip {
  background-color: #8dbf42;
}
.chat-screen .invalid-tooltip {
  background-color: #e7515a;
}
.chat-screen .custom-select.is-valid,
.chat-screen .form-control.is-valid,
.chat-screen .was-validated .custom-select:valid,
.chat-screen .was-validated .form-control:valid {
  border-color: #8dbf42;
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%238dbf42' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-check'%3e%3cpolyline points='20 6 9 17 4 12'%3e%3c/polyline%3e%3c/svg%3e");
}
.chat-screen .custom-control-input.is-valid ~ .custom-control-label,
.chat-screen
  .was-validated
  .custom-control-input:valid
  ~ .custom-control-label {
  color: #8dbf42;
}
.chat-screen .form-control.is-invalid,
.chat-screen .was-validated .form-control:invalid {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23e7515a' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-x'%3e%3cline x1='18' y1='6' x2='6' y2='18'%3e%3c/line%3e%3cline x1='6' y1='6' x2='18' y2='18'%3e%3c/line%3e%3c/svg%3e");
}
.chat-screen .custom-control-input.is-invalid ~ .custom-control-label,
.chat-screen
  .was-validated
  .custom-control-input:invalid
  ~ .custom-control-label {
  color: #e7515a;
}
.chat-screen .dropdown-toggle:after {
  display: none;
}
.chat-screen .dropup .dropdown-toggle::after {
  display: none;
}
.chat-screen .dropright .dropdown-toggle::after {
  display: none;
}
.chat-screen .dropleft .dropdown-toggle::before {
  display: none;
}
.chat-screen .dropdown-toggle svg.feather[class*="feather-chevron-"] {
  width: 15px;
  height: 15px;
  vertical-align: middle;
}
.chat-screen .btn {
  padding: 0.38rem 1.25rem;
  text-shadow: none;
  font-size: 14px;
  color: #3b3f5c;
  font-weight: normal;
  white-space: normal;
  word-wrap: break-word;
  transition: 0.2s ease-out;
  touch-action: manipulation;
  cursor: pointer;
  background-color: #f1f2f3;
  box-shadow: 0px 5px 20px 0 rgba(0, 0, 0, 0.1);
  will-change: opacity, transform;
  transition: all 0.3s ease-out;
  -webkit-transition: all 0.3s ease-out;
}
.chat-screen .btn svg {
  width: 20px;
  height: 20px;
  vertical-align: bottom;
}
.chat-screen .btn.rounded-circle {
  height: 40px;
  width: 40px;
  padding: 8px 8px;
}
.chat-screen .btn:hover,
.chat-screen .btn:focus {
  color: #3b3f5c;
  background-color: #f1f2f3;
  border-color: #d3d3d3;
  -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16),
    0 2px 10px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16),
    0 2px 10px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 5px 0 #e0e6ed, 0 2px 10px 0 #e0e6ed;
  -webkit-transform: translateY(-3px);
  transform: translateY(-3px);
}
.chat-screen .btn-group .btn:hover,
.chat-screen .btn-group .btn:focus {
  -webkit-transform: none;
  transform: none;
}
.chat-screen .btn.disabled,
.chat-screen .btn.btn[disabled] {
  background-color: #f1f2f3;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  border: 1px solid rgba(0, 0, 0, 0.13);
}
.chat-screen .btn.disabled:hover,
.chat-screen .btn.btn[disabled]:hover {
  cursor: not-allowed;
}
.chat-screen .btn .caret {
  border-top-color: #0e1726;
  margin-top: 0;
  margin-left: 3px;
  vertical-align: middle;
}
.chat-screen .btn + .caret,
.chat-screen .btn + .dropdown-toggle .caret {
  margin-left: 0;
}
.chat-screen .btn-group > .btn,
.btn-group .btn {
  padding: 8px 14px;
}
.chat-screen .btn-group-lg > .btn,
.btn-group-lg .btn {
  font-size: 1.125rem;
}
.chat-screen .btn-group-lg > .btn,
.btn-lg,
.chat-screen .btn-group > .btn.btn-lg,
.chat-screen .btn-group .btn.btn-lg {
  padding: 0.625rem 1.5rem;
  font-size: 16px;
}
.chat-screen .btn-group-lg > .btn,
.btn-group-lg .btn {
  font-size: 1.125rem;
}
.chat-screen .btn-group-sm > .btn,
.btn-sm,
.chat-screen .btn-group > .btn.btn-sm,
.chat-screen .btn-group .btn.btn-sm {
  font-size: 0.6875rem;
}
.chat-screen .btn-group .dropdown-menu {
  border: 1px solid #e0e6ed;
  box-shadow: rgba(113, 106, 202, 0.2) 0px 0px 15px 1px;
  padding: 10px;
  border-width: initial;
  border-style: none;
  border-color: initial;
  border-image: initial;
}
.chat-screen .btn-group .dropdown-menu a.dropdown-item {
  border-radius: 5px;
  font-size: 12px;
  font-weight: 700;
  color: #888ea8;
  padding: 11px 8px;
}
.chat-screen .btn-group .dropdown-menu a.dropdown-item:hover {
  background-color: #f1f2f3;
}
.chat-screen .btn-group .dropdown-menu a.dropdown-item svg {
  cursor: pointer;
  color: #888ea8;
  margin-right: 6px;
  vertical-align: middle;
  width: 20px;
  height: 20px;
  fill: rgba(0, 23, 55, 0.08);
}
.chat-screen .btn-group .dropdown-menu a.dropdown-item:hover svg {
  color: #1b55e2;
}
.chat-screen .dropdown:not(.custom-dropdown-icon) .dropdown-menu {
  border: none;
  border: 1px solid #e0e6ed;
  z-index: 899;
  box-shadow: rgba(113, 106, 202, 0.2) 0px 0px 15px 1px;
  padding: 10px;
  border-width: initial;
  border-style: none;
  border-color: initial;
  border-image: initial;
}
.chat-screen
  .dropdown:not(.custom-dropdown-icon)
  .dropdown-menu
  a.dropdown-item {
  font-size: 12px;
  font-weight: normal;
  color: #888ea8;
  padding: 11px 8px;
  border-radius: 6px;
  text-shadow: none;
}
.chat-screen
  .dropdown:not(.custom-dropdown-icon)
  .dropdown-menu
  a.dropdown-item.active,
.chat-screen
  .dropdown:not(.custom-dropdown-icon)
  .dropdown-menu
  a.dropdown-item:active {
  background-color: transparent;
  color: #3b3f5c;
  font-weight: 700;
}
.chat-screen
  .dropdown:not(.custom-dropdown-icon)
  .dropdown-menu
  a.dropdown-item:hover {
  color: #888ea8;
  background-color: #f1f2f3;
}

/*      Default Buttons       */

.chat-screen .btn-primary {
  color: #fff !important;
  background-color: #1b55e2 !important;
  border-color: #1b55e2;
}
.chat-screen .btn-primary:hover,
.chat-screen .btn-primary:focus {
  color: #fff !important;
  background-color: #1b55e2;
  box-shadow: none;
  border-color: #1b55e2;
}
.chat-screen .btn-primary:active,
.chat-screen .btn-primary.active {
  background-color: #1b55e2;
  border-top: 1px solid #1b55e2;
}
.chat-screen .btn-primary.disabled,
.chat-screen .btn-primary.btn[disabled],
.chat-screen .btn-primary:disabled {
  background-color: #1b55e2;
  border-color: #1b55e2;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.chat-screen .btn-primary.active.focus,
.chat-screen .btn-primary.active:focus,
.chat-screen .btn-primary.active:hover,
.chat-screen .btn-primary.focus:active,
.chat-screen .btn-primary:active:focus,
.chat-screen .btn-primary:active:hover,
.chat-screen .open > .dropdown-toggle.btn-primary.focus,
.chat-screen .open > .dropdown-toggle.btn-primary:focus,
.chat-screen .open > .dropdown-toggle.btn-primary:hover {
  color: #fff !important;
  background-color: #2aebcb;
  border-color: #2aebcb;
}
.chat-screen .btn-primary:not(:disabled):not(.disabled).active,
.chat-screen .btn-primary:not(:disabled):not(.disabled):active,
.chat-screen .show > .btn-primary.dropdown-toggle {
  color: #fff !important;
  background-color: #1b55e2;
  border-color: #1b55e2;
}
.chat-screen .btn-primary .caret {
  border-top-color: #fff;
}
.chat-screen .btn-group.open .btn-primary.dropdown-toggle {
  background-color: #c2d5ff;
}
.chat-screen .btn-secondary {
  color: #fff !important;
  background-color: #5c1ac3;
  border-color: #5c1ac3;
}
.chat-screen .btn-secondary:hover,
.chat-screen .btn-secondary:focus {
  color: #fff !important;
  background-color: #5c1ac3;
  box-shadow: none;
  border-color: #5c1ac3;
}
.chat-screen .btn-secondary:active,
.chat-screen .btn-secondary.active {
  background-color: #5c1ac3;
  border-top: 1px solid #5c1ac3;
}
.chat-screen .btn-secondary:not(:disabled):not(.disabled).active,
.chat-screen .btn-secondary:not(:disabled):not(.disabled):active,
.chat-screen .show > .btn-secondary.dropdown-toggle {
  color: #fff !important;
  background-color: #5c1ac3;
  border-color: #5c1ac3;
}
.chat-screen .btn-secondary.disabled,
.chat-screen .btn-secondary.btn[disabled],
.chat-screen .btn-secondary:disabled {
  background-color: #5c1ac3;
  border-color: #5c1ac3;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.chat-screen .btn-secondary .caret {
  border-top-color: #fff;
}
.chat-screen .btn-info {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
}
.chat-screen .btn-info:hover,
.chat-screen .btn-info:focus {
  color: #fff !important;
  background-color: #2196f3;
  box-shadow: none;
  border-color: #2196f3;
}
.chat-screen .btn-info:active,
.chat-screen .btn-info.active {
  background-color: #2196f3;
  border-top: 1px solid #2196f3;
}
.chat-screen .btn-info:not(:disabled):not(.disabled).active,
.chat-screen .btn-info:not(:disabled):not(.disabled):active,
.chat-screen.show > .btn-info.dropdown-toggle {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
}
.chat-screen .btn-info.disabled,
.chat-screen .btn-info.btn[disabled],
.chat-screen .btn-info:disabled {
  background-color: #2196f3;
  border-color: #2196f3;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.chat-screen .btn-info.active.focus,
.chat-screen .btn-info.active:focus,
.btn-info.active:hover,
.chat-screen .btn-info.focus:active,
.btn-info:active:focus,
.chat-screen .btn-info:active:hover,
.chat-screen .open > .dropdown-toggle.btn-info.focus,
.open > .dropdown-toggle.btn-info:focus,
.open > .dropdown-toggle.btn-info:hover {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
}
.chat-screen .btn-info .caret {
  border-top-color: #fff;
}
.chat-screen .btn-group.open .btn-info.dropdown-toggle {
  background-color: #bae7ff;
}
.chat-screen .btn-warning {
  color: #fff !important;
  background-color: #e2a03f;
  border-color: #e2a03f;
}
.chat-screen .btn-warning:hover,
.chat-screen .btn-warning:focus {
  color: #fff !important;
  background-color: #e2a03f;
  box-shadow: none;
  border-color: #e2a03f;
}
.chat-screen .btn-warning:active,
.chat-screen .btn-warning.active {
  background-color: #e2a03f;
  border-top: 1px solid #e2a03f;
}
.chat-screen .btn-warning:not(:disabled):not(.disabled).active,
.chat-screen .btn-warning:not(:disabled):not(.disabled):active,
.chat-screen .show > .btn-warning.dropdown-toggle {
  color: #0e1726;
  background-color: #e2a03f;
  border-color: #e2a03f;
}
.chat-screen .btn-warning.disabled,
.chat-screen .btn-warning.btn[disabled],
.chat-screen .btn-warning:disabled {
  background-color: #e2a03f;
  border-color: #e2a03f;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.chat-screen .btn-warning.active.focus,
.chat-screen .btn-warning.active:focus,
.chat-screen .btn-warning.active:hover,
.btn-warning.focus:active,
.chat-screen .btn-warning:active:focus,
.chat-screen .btn-warning:active:hover,
.open > .dropdown-toggle.btn-warning.focus,
.chat-screen .open > .dropdown-toggle.btn-warning:focus,
.chat-screen .open > .dropdown-toggle.btn-warning:hover {
  color: #fff !important;
  background-color: #e2a03f;
  border-color: #e2a03f;
}
.chat-screen .btn-warning .caret {
  border-top-color: #fff;
}
.chat-screen .btn-group.open .btn-warning.dropdown-toggle {
  background-color: #df8505;
}
.chat-screen .btn-danger {
  color: #fff !important;
  background-color: #e7515a;
  border-color: #e7515a;
}
.chat-screen .btn-danger:hover,
.chat-screen .btn-danger:focus {
  color: #fff !important;
  background-color: #e7515a;
  box-shadow: none;
  border-color: #e7515a;
}
.chat-screen .btn-danger:active,
.chat-screen .btn-danger.active {
  background-color: #e7515a;
  border-top: 1px solid #e7515a;
}
.chat-screen .btn-danger:not(:disabled):not(.disabled).active,
.chat-screen .btn-danger:not(:disabled):not(.disabled):active,
.chat-screen .show > .btn-danger.dropdown-toggle {
  color: #fff !important;
  background-color: #e7515a;
  border-color: #e7515a;
}
.chat-screen .btn-danger.disabled,
.chat-screen .btn-danger.btn[disabled],
.chat-screen .btn-danger:disabled {
  background-color: #e7515a;
  border-color: #e7515a;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.chat-screen .btn-danger.active.focus,
.chat-screen .btn-danger.active:focus,
.chat-screen .btn-danger.active:hover,
.chat-screen .btn-danger.focus:active,
.chat-screen .btn-danger:active:focus,
.chat-screen .btn-danger:active:hover,
.chat-screen .open > .dropdown-toggle.btn-danger.focus,
.chat-screen .open > .dropdown-toggle.btn-danger:focus,
.chat-screen .open > .dropdown-toggle.btn-danger:hover {
  color: #fff !important;
  background-color: #c00;
  border-color: #c00;
}
.chat-screen .btn-danger .caret {
  border-top-color: #fff;
}
.chat-screen .btn-group.open .btn-danger.dropdown-toggle {
  background-color: #a9302a;
}
.chat-screen .btn-dark {
  color: #fff !important;
  background-color: #3b3f5c;
  border-color: #3b3f5c;
}
.chat-screen .btn-dark:hover,
.chat-screen .btn-dark:focus {
  color: #fff !important;
  background-color: #3b3f5c;
  box-shadow: none;
  border-color: #3b3f5c;
}
.chat-screen .btn-dark:active,
.chat-screen .btn-dark.active {
  background-color: #3b3f5c;
  border-top: 1px solid #3b3f5c;
}
.chat-screen .btn-dark:not(:disabled):not(.disabled).active,
.chat-screen .btn-dark:not(:disabled):not(.disabled):active,
.chat-screen .show > .btn-dark.dropdown-toggle {
  color: #fff !important;
  background-color: #3b3f5c;
  border-color: #3b3f5c;
}
.chat-screen .btn-dark.disabled,
.chat-screen .btn-dark.btn[disabled],
.chat-screen .btn-dark:disabled {
  background-color: #3b3f5c;
  border-color: #3b3f5c;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.chat-screen .btn-dark .caret {
  border-top-color: #fff;
}
.chat-screen .btn-group.open .btn-dark.dropdown-toggle {
  background-color: #484848;
}
.chat-screen .btn-success {
  color: #fff !important;
  background-color: #8dbf42;
  border-color: #8dbf42;
}
.chat-screen .btn-success:hover,
.chat-screen .btn-success:focus {
  color: #fff !important;
  background-color: #8dbf42;
  box-shadow: none;
  border-color: #8dbf42;
}
.chat-screen .btn-success:active,
.chat-screen .btn-success.active {
  background-color: #8dbf42;
  border-top: 1px solid #8dbf42;
}
.chat-screen .btn-success:not(:disabled):not(.disabled).active,
.chat-screen .btn-success:not(:disabled):not(.disabled):active,
.chat-screen .show > .btn-success.dropdown-toggle {
  color: #fff !important;
  background-color: #8dbf42;
  border-color: #8dbf42;
}
.chat-screen .btn-success.disabled,
.chat-screen .btn-success.btn[disabled],
.chat-screen .btn-success:disabled {
  background-color: #8dbf42;
  border-color: #8dbf42;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.chat-screen .btn-success.active.focus,
.btn-success.active:focus,
.chat-screen .btn-success.active:hover,
.chat-screen .btn-success.focus:active,
.chat-screen .btn-success:active:focus,
.chat-screen .btn-success:active:hover,
.chat-screen .open > .dropdown-toggle.btn-success.focus,
.chat-screen .open > .dropdown-toggle.btn-success:focus,
.chat-screen .open > .dropdown-toggle.btn-success:hover {
  color: #fff !important;
  background-color: #17c678;
  border-color: #17c678;
}
.chat-screen .btn-success .caret {
  border-top-color: #fff;
}

/*-----/Button Light Colors------*/

.chat-screen .btn.box-shadow-none {
  border: none;
}
.chat-screen .btn.box-shadow-none:hover,
.btn.box-shadow-none:focus {
  border: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background-color: transparent;
}
.chat-screen .box-shadow-none {
  -webkit-box-shadow: none !important;
  -moz-box-shadow: none !important;
  box-shadow: none !important;
}
.chat-screen .btn.box-shadow-none:not(:disabled):not(.disabled).active,
.chat-screen .btn.box-shadow-none:not(:disabled):not(.disabled):active,
.chat-screen .show > .btn.box-shadow-none.dropdown-toggle {
  border: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background-color: transparent;
}
.chat-screen .btn-group.open .btn-success.dropdown-toggle {
  background-color: #499249;
}
.chat-screen .btn-dismiss {
  color: #0e1726;
  border-color: #fff;
  padding: 3px 7px;
}
.chat-screen .btn-dismiss:hover,
.chat-screen .btn-dismiss:focus {
  color: #0e1726;
}

.chat-screen .btn-dismiss:active,
.chat-screen .btn-dismiss.active {
  border-top: 1px solid #fff;
}
.chat-screen .btn-group > .btn i {
  margin-right: 3px;
}
.chat-screen
  .btn-group
  > .btn:first-child:not(:last-child):not(.dropdown-toggle) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  -webkit-box-shadow: 0 0px 0px 0 rgba(0, 0, 0, 0.16),
    0 0px 0px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 0px 0px 0 rgba(0, 0, 0, 0.16),
    0 0px 0px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 0px 0px 0 rgba(0, 0, 0, 0.16), 0 0px 0px 0 rgba(0, 0, 0, 0.12);
}
.chat-screen .btn-group > .btn + .dropdown-toggle {
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

/*
    Btn group dropdown-toggle
*/
.chat-screen .btn-group > .btn + .dropdown-toggle.btn-primary {
  border-left: 1px solid rgb(68, 104, 253);
}
.chat-screen .btn-group > .btn + .dropdown-toggle.btn-success {
  border-left: 1px solid rgb(163, 198, 111);
}
.chat-screen .btn-group > .btn + .dropdown-toggle.btn-info {
  border-left: 1px solid rgb(73, 172, 251);
}
.chat-screen .btn-group > .btn + .dropdown-toggle.btn-warning {
  border-left: 1px solid rgb(245, 180, 85);
}
.chat-screen .btn-group > .btn + .dropdown-toggle.btn-danger {
  border-left: 1px solid rgb(241, 132, 139);
}
.chat-screen .btn-group > .btn + .dropdown-toggle.btn-dark {
  border-left: 1px solid rgb(112, 118, 122);
}
.chat-screen .btn-group > .btn + .dropdown-toggle.btn-secondary {
  border-left: 1px solid rgb(131, 83, 220);
}
.chat-screen .btn-group.dropleft .dropdown-toggle-split {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
.chat-screen .btn-group.dropleft .btn-primary:not(.dropdown-toggle-split) {
  border-left: 1px solid rgb(68, 104, 253);
}
.chat-screen .btn-group.dropleft .btn-success:not(.dropdown-toggle-split) {
  border-left: 1px solid rgb(163, 198, 111);
}
.chat-screen .btn-group.dropleft .btn-info:not(.dropdown-toggle-split) {
  border-left: 1px solid rgb(73, 172, 251);
}
.chat-screen .btn-group.dropleft .btn-warning:not(.dropdown-toggle-split) {
  border-left: 1px solid rgb(245, 180, 85);
}
.chat-screen .btn-group.dropleft .btn-danger:not(.dropdown-toggle-split) {
  border-left: 1px solid rgb(241, 132, 139);
}
.chat-screen .btn-group.dropleft .btn-dark:not(.dropdown-toggle-split) {
  border-left: 1px solid rgb(112, 118, 122);
}
.chat-screen .btn-group.dropleft .btn-secondary:not(.dropdown-toggle-split) {
  border-left: 1px solid rgb(131, 83, 220);
}
.chat-screen .btn .badge.badge-align-right {
  position: absolute;
  top: -1px;
  right: 8px;
}
.chat-screen .dropup .btn .caret {
  border-bottom-color: #0e1726;
}
.chat-screen .btn-outline-primary:not(:disabled):not(.disabled).active,
.chat-screen .btn-outline-primary:not(:disabled):not(.disabled):active,
.show > .btn-outline-primary.dropdown-toggle {
  background-color: #1b55e2;
  color: #fff !important;
}
.chat-screen .btn-outline-success:not(:disabled):not(.disabled).active,
.chat-screen .btn-outline-success:not(:disabled):not(.disabled):active,
.show > .btn-outline-success.dropdown-toggle {
  background-color: #8dbf42;
  color: #fff !important;
}
.chat-screen .btn-outline-info:not(:disabled):not(.disabled).active,
.chat-screen .btn-outline-info:not(:disabled):not(.disabled):active,
.show > .btn-outline-info.dropdown-toggle {
  background-color: #2196f3;
  color: #fff !important;
}
.chat-screen .btn-outline-danger:not(:disabled):not(.disabled).active,
.chat-screen .btn-outline-danger:not(:disabled):not(.disabled):active,
.show > .btn-outline-danger.dropdown-toggle {
  background-color: #e7515a;
  color: #fff !important;
}
.chat-screen .btn-outline-warning:not(:disabled):not(.disabled).active,
.chat-screen .btn-outline-warning:not(:disabled):not(.disabled):active,
.show > .btn-outline-warning.dropdown-toggle {
  background-color: #e2a03f;
  color: #fff !important;
}
.chat-screen .btn-outline-secondary:not(:disabled):not(.disabled).active,
.chat-screen .btn-outline-secondary:not(:disabled):not(.disabled):active,
.show > .btn-outline-secondary.dropdown-toggle {
  background-color: #5c1ac3;
  color: #fff !important;
}
.chat-screen .btn-outline-dark:not(:disabled):not(.disabled).active,
.chat-screen .btn-outline-dark:not(:disabled):not(.disabled):active,
.show > .btn-outline-dark.dropdown-toggle {
  background-color: #3b3f5c;
  color: #fff !important;
}
.chat-screen .show > .btn-outline-primary.dropdown-toggle:after,
.chat-screen .show > .btn-outline-success.dropdown-toggle:after,
.show > .btn-outline-info.dropdown-toggle:after,
.show > .btn-outline-danger.dropdown-toggle:after,
.show > .btn-outline-warning.dropdown-toggle:after,
.show > .btn-outline-secondary.dropdown-toggle:after,
.show > .btn-outline-dark.dropdown-toggle:after {
  color: #fff !important;
}
.chat-screen .show > .btn-outline-primary.dropdown-toggle:before,
.chat-screen .show > .btn-outline-success.dropdown-toggle:before,
.show > .btn-outline-info.dropdown-toggle:before,
.show > .btn-outline-danger.dropdown-toggle:before,
.show > .btn-outline-warning.dropdown-toggle:before,
.show > .btn-outline-secondary.dropdown-toggle:before,
.show > .btn-outline-dark.dropdown-toggle:before {
  color: #fff !important;
}
.chat-screen .btn-outline-primary {
  border: 1px solid #1b55e2 !important;
  color: #1b55e2 !important;
  background-color: transparent;
  box-shadow: none;
}
.chat-screen .btn-outline-info {
  border: 1px solid #2196f3 !important;
  color: #2196f3 !important;
  background-color: transparent;
  box-shadow: none;
}
.chat-screen .btn-outline-warning {
  border: 1px solid #e2a03f !important;
  color: #e2a03f !important;
  background-color: transparent;
  box-shadow: none;
}
.chat-screen .btn-outline-success {
  border: 1px solid #8dbf42 !important;
  color: #8dbf42 !important;
  background-color: transparent;
  box-shadow: none;
}
.chat-screen .btn-outline-danger {
  border: 1px solid #e7515a !important;
  color: #e7515a !important;
  background-color: transparent;
  box-shadow: none;
}
.chat-screen .btn-outline-secondary {
  border: 1px solid #5c1ac3 !important;
  color: #5c1ac3 !important;
  background-color: transparent;
  box-shadow: none;
}
.chat-screen .btn-outline-dark {
  border: 1px solid #3b3f5c !important;
  color: #3b3f5c !important;
  background-color: transparent;
  box-shadow: none;
}
.chat-screen .btn-outline-primary:hover,
.chat-screen .btn-outline-info:hover,
.chat-screen .btn-outline-warning:hover,
.chat-screen .btn-outline-success:hover,
.chat-screen .btn-outline-danger:hover,
.chat-screen .btn-outline-secondary:hover,
.chat-screen .btn-outline-dark:hover {
  box-shadow: 0px 5px 20px 0 rgba(0, 0, 0, 0.1);
}
.chat-screen .btn-outline-primary:hover {
  color: #fff !important;
}
.chat-screen .btn-outline-info:hover {
  color: #fff !important;
}
.chat-screen .btn-outline-warning:hover {
  color: #fff !important;
}
.chat-screen .btn-outline-success:hover {
  color: #fff !important;
}
.chat-screen .btn-outline-danger:hover {
  color: #fff !important;
}
.chat-screen .btn-outline-secondary:hover {
  color: #fff !important;
}
.chat-screen .btn-outline-dark:hover {
  color: #fff !important;
}

/*      Dropdown Toggle       */

.chat-screen .btn-rounded {
  -webkit-border-radius: 1.875rem !important;
  -moz-border-radius: 1.875rem !important;
  -ms-border-radius: 1.875rem !important;
  -o-border-radius: 1.875rem !important;
  border-radius: 1.875rem !important;
}

.chat-screen .chat-screen .hide {
  display: none !important;
}
.chat-screen .chat-screen .cursor-pointer {
  cursor: pointer;
}
